<?php
	$seiten_id = 'kommerzielle';
	$version = '$Id: commercial.php 1282 2017-08-20 17:31:26Z heribert $';
	$title = 'Early commercial computers';
	
	require "../../lib/technikum29.php";
?>
    <h2>Early commercial computers</h2>

    <p>In contrast to computers used for scientific applications, commercial data processing systems have a different structure, since they are optimized to support large storage systems and to process lots of data, as in payroll applications and the like. Sometimes the distinction between scientific and commercial systems is not a clear one. The examples below are typical small to medium systems for commercial applications.</p>

	<h3>Olivetti P 203</h3>
    <div class="box left clear-after">
       <img src="/shared/photos/rechnertechnik/olivetti_p203.jpg" alt="Olivetti P203" width="406" height="378" />
       <div class="bildtext">
	   <b>Olivetti P203</b>
         

 <p>1967 the <a class="go" href="/en/computer/programmable.php#101">PROGRAMMA 101</a> was not only
extended with respect to memory but also coupled to an electric typewriter.
This made it possible to print the results of a computation. Nevertheless,
this combination was restricted to printing numeric values only. If text was
required on a printout it had to be typed manually.<br><br>
The typewriter could also be used standalone without control be the PROGRAMMA 101. 
The memory system, which is based on the magnetostrictive effect, has an overall capacity of 320
bytes organized as 10 registers with 30 digits each.<br><br>

This early "personal computer" was designed by the italien artist Mario
Bellini. Its unique design won several avards. Even today it is admired for
its aesthetics.
Following Olivetty computers were just plain cubes. Moving
this unique piece of computing history is quite a feat at 130 kg.</p>

<br>
<div class="clear-after">
		<a href="/shared/photos/rechnertechnik/p203-1.jpg" target="_blank">	
        <img src="/shared/photos/rechnertechnik/p203-1.jpg" alt="Olivetti P203" width="258" height="180" /></a>
		<a href="/shared/photos/rechnertechnik/p203-2.jpg" target="_blank">
		<img src="/shared/photos/rechnertechnik/p203-2.jpg" alt="Olivetti P203" width="240" height="180" /></a>
		<a href="/shared/photos/rechnertechnik/p203-3.jpg" target="_blank">
		<img src="/shared/photos/rechnertechnik/p203-3.jpg" alt="Olivetti P203" width="240" height="180" /></a></div>
		
		<p>The pictures above can be enlarged by clicking on them. The first picture
shows the first model of this machine as well as its successor system with a
faster typewriter (on the right). The second picture is a detail photograph.
The third picture shows the incredibly amount of mechanical parts in this
system. Both machines in the museum are fully operational.</p>
			
	</div>
</div>
       

    <h3>NCR 446</h3>    
    <div class="box center">
        <a href="/en/devices/ncr446.php" name="ncr-backlink"><img src="/shared/photos/rechnertechnik/ncr-446.jpg" alt="Photography of the NCR 446" width="694" height="520" /></a>
	</div>
	
    The <b>NCR 446</b> is a typical example of a 2nd generation computer
(transistorized).
It was developed 1966/67 in Germany at the "National Registrier Kassen GmbH"
in Augsburg by four engineers fresh from the university. One year later their
development was finished and the system announced.<br>

The architecture is rather unique. Programs are stored on a paper tape while
operations are controlled by means of a threaded wire ROM. The system was
sold as a accounting machine but was not limited to that area of application.<br>

The system not only contains the paper tape reader for the program control,
but also two paper tape readers for input data, one paper tape punch, a
keyboard, and an IBM ball-head typewriter. <br>

This system was quite expensive. The basic model without a paper tape punch
and without the additional paper tape readers for data input was sold for about
35,000 DM (about 18,000 EUR) - about as much as three mid-class cars would
have cost at the same time.<br>

The NCR 446 was the first "small" commercial system which was able to print
text as well as numerical values. Such a machine was used by structural
engineers to perform the necessary calculations and directly generate a
printout that could be used by the customer. (Competing systems like the
Olivetti Programma 101, 203 could only print plain numbers on a small strip
of paper.)<br>

Watching the operation of the machine is a great experience. Things like the
calculation of a square root allow the viewer to get an idea of the
underlying algorithm. Since the program is stored on a paper tape, every step performed
by the machine can be seen.<br>
<br/>Clicking on the picture yields a <href="/en/devices/ncr446.php">more detailed picture</a></p>

<h5 id="acc">Paper tape accessories:</h5>
		
		<p>Also interesting are typical paper tape accessories as shown below. It is 
next to incredible that not too far ago programs had to be prepared with
tools like these. The figure below shows a manual paper tape punch on the left
which can be used to punch programs on a paper tape. For the most basic version 
of the NCR 446 which lacked the attached paper tape punch, this was the only
way to create program tapes!</p>
		
		<div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/handlocher.jpg"  width="682" height="428" />
        <div class="bildtext"><b>Manual puncher for paper tape</b> (left) und <b> Tapewinder</b> (right)</div>
		</div>
		<p>Programming in those days was done as follows: First, the program was written
down by hand. Each character was then translated manually using a NCR
supplied code table to its corresponding numerical code. The paper tape was then
punched by a secretary. Correcting errors was obviously rather cumbersome and
time consuming.<br>

The NCR 446 in the museum's collection allowed the creation of paper tapes by
means of the built-in keyboard and the automatic paper tape punch
unit at an additional cost of 20,000 DM (10,000 EUR).<br>

The motor driven paper tape winder shown on the right could be used to wind
the paper tapes after using them on the computer. </p>

		
		
		
<!-- A glimpse of the internal structure of the machine can be seen
<a href="...">here</a>. -->


     
        <!-- das war B.Ulmann. Meine bersetzung (alt):
        <img src="/shared/photos/start/ncr_rechner.jpg" alt="NCR-Rechner" style="margin-right: 25px" />
        <div class="bildtext">As an alternative to the desktop calculators, small installations
           etablished in the market, used for special purpose. The NCR 446 (the picture on the left)
           was called an "electronically invoicing machine". The installation features three paper tape
           readers, paper tape punchers, a keyboard and an IBM spherical printhead machine as a printer.
           Year of manufacture 1968 in Germany. It features as well a core memory and threaded ROM to
           program freely (even scienteficially).</div>
        -->

    <h3>NIXDORF 820</h3>
	<div class="box center auto-bildbreite">
        <a href="/en/devices/nixdorf820.php" name="backlink-nixdorf" title="Zur Detailaufnahme der Nixdorf 820-Anlage"><img src="/shared/photos/start/nixdorf_820.jpg" alt="Nixdorf 820 Computer" width="670" height="270" /></a>
		<p class="bildtext"><b>Nixdorf 820</b> with card puncher and printer</p>
	</div>
	
	<p>A typical small to medium data processing system is the <b>NIXDORF 820</b> built in 1969/1970. This system is built entirely from modules, has a magnetic account reader and a <a href="storage-media.php#Threaded_ROM">threaded ROM</a> which was user modifiable. The console consists of a typewriter, the magnetic account reader and two punch card readers. In addition to this the system supports a card punching unit, a high speed matrix printer (visible on the right), two cassette tape drives and a stand alone card puncher (IBM or YUKI, see above). Clicking on the picture will yield <a class="go" href="/en/devices/nixdorf820.php">a more detailed version</a> of it.</p>
